function love.load()
  shader = love.graphics.newShader( -- load the shader
  [[
//Fragment shader
uniform sampler2D ColorTable; // 1 x 16 pixels
uniform sampler2D MyIndexTexture;
varying vec2 TexCoord0;

vec4 effect( vec4 color, Image MyIndexTexture, vec2 TexCoord0, vec2 screen_coords ){
	//What color do we want to index?
	vec4 myindex = texture2D(MyIndexTexture, TexCoord0);
	//Do a dependency texture read
	vec4 texel = texture2D(ColorTable, myindex.xy);
	return texel;   //Output the color
}
  ]] )

	sprite  = love.graphics.newImage( 'sprite.png' ) -- load the images
	palette = love.graphics.newImage( 'palette.png' )
	sprite :setFilter( 'nearest' ) 									 -- make them scale correctly
	palette:setFilter( 'nearest' )

end

function love.draw()
	love.graphics.clear(32, 99, 99)

	love.graphics.scale( 4,4 )

	love.graphics.setShader()				  -- draw the sprite normally
	love.graphics.draw(sprite,  50, 50)

  love.graphics.setShader( shader )	-- draw the sprite with the shader applied
  shader:send( "ColorTable", palette )
	love.graphics.draw(sprite, 100, 50)
end
